Devuan bug report logs - #124
https-uris don't work for ascii-security and jessie-securiy

Package: apt; Maintainer for apt is Andreas Messer <andi@bastelmap.de>;

Reported by: Harald Hellmuth <harald@backmuth.de>

Date: Sun, 23 Jul 2017 07:03:01 UTC

Severity: normal

Tags: ascii, jessie

Done: KatolaZ <katolaz@freaknet.org>

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.devuan.org
From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: KatolaZ <katolaz@freaknet.org>
Cc: owner@bugs.devuan.org
Subject: bug#124: marked as done (https-uris don't work for ascii-security and jessie-securiy)
Message-ID: <handler.124.D124.15132594063233.ackdone@bugs.devuan.org>
In-Reply-To: <20171214134428.GV26595@katolaz.homeunix.net>
References: <20171214134428.GV26595@katolaz.homeunix.net> <ad75db33-5303-bc5f-4f7d-01079397e578@backmuth.de>
Precedence: bulk
X-Devuan-PR-Message: closed 124
X-Devuan-PR-Package: apt
X-Devuan-PR-Keywords: jessie ascii
Your message dated Thu, 14 Dec 2017 13:44:28 +0000
with message-id <20171214134428.GV26595@katolaz.homeunix.net>
and subject line solved
has caused the attached bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Devuan Bugs Owner
(administrator, Devuan bugs database)

--------------------------------------
Received: (at submit) by bugs.devuan.org; 23 Jul 2017 06:50:06 +0000
Return-Path: <harald@backmuth.de>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Sun, 23 Jul 2017 08:50:06 +0200 (CEST)
Received: from mail-hw-01.mx.adns.de (mail-hw-01.mx.adns.de [217.31.95.13])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id 6AA1F18AE7E
	for <submit@bugs.devuan.org>; Sun, 23 Jul 2017 06:41:58 +0000 (UTC)
Received: from [192.168.1.144] (ip-95-223-229-214.hsi16.unitymediagroup.de [95.223.229.214])
	by mail-hw-01.mx.adns.de (Postfix) with ESMTPSA id 905B541119C
	for <submit@bugs.devuan.org>; Sun, 23 Jul 2017 08:41:56 +0200 (CEST)
To: submit@bugs.devuan.org
From: Harald Hellmuth <harald@backmuth.de>
Subject: https-uris don't work for ascii-security and jessie-securiy
Message-ID: <ad75db33-5303-bc5f-4f7d-01079397e578@backmuth.de>
Date: Sun, 23 Jul 2017 08:41:00 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="vTs8mkOKP0HR4kJn6I76qhjI4k29JGxv2"
X-Spam-Status: No, score=0.0 required=5.0 tests=RCVD_IN_DNSWL_NONE
	autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--vTs8mkOKP0HR4kJn6I76qhjI4k29JGxv2
Content-Type: multipart/mixed; boundary="wUtUCnomklwCvF4voadN41pO3BCGlddOB";
 protected-headers="v1"
From: Harald Hellmuth <harald@backmuth.de>
To: submit@bugs.devuan.org
Message-ID: <ad75db33-5303-bc5f-4f7d-01079397e578@backmuth.de>
Subject: https-uris don't work for ascii-security and jessie-securiy

--wUtUCnomklwCvF4voadN41pO3BCGlddOB
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Package: apt
  Version: 1.4.7

After replacing all http with their https counterparts in my sources list=
 and
installing apt-transport-https apt complains about forbidden redirect to =
http:


Err:5 https://auto.mirror.devuan.org/merged ascii-security Release
  Redirection from https to
'http://amprolla.devuan.org/merged/dists/ascii-security/Release' is forbi=
dden

The problem seems to be the same for jessie-security uris and server rela=
ted:

$ curl -I
https://auto.mirror.devuan.org/merged/dists/jessie-security/main/binary-a=
md64/Packages

HTTP/1.1 302 Moved Temporarily
Server: nginx/1.9.9
Date: Sun, 23 Jul 2017 06:37:21 GMT
Content-Type: text/html
Content-Length: 160
Connection: keep-alive
Location:
http://amprolla.devuan.org/merged/dists/jessie-security/main/binary-amd64=
/Packages


other uris in sources list (<dist>, <dist>-updates) are working as execte=
d.


Kind regards

Harald Hellmuth

--=20
Harald Hellmuth
<harald@backmuth.de>
pgp: https://backmuth.de/pgp/harald.asc


--wUtUCnomklwCvF4voadN41pO3BCGlddOB--

--vTs8mkOKP0HR4kJn6I76qhjI4k29JGxv2
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFHBAEBCAAxFiEEDaoJKYgeND6OJOqVYLa+aFWYhqIFAll0RQgTHGhhcmFsZEBi
YWNrbXV0aC5kZQAKCRBgtr5oVZiGotW9B/9IX2835gk5E8VprnrFDnHHs72m/ioc
EJe4BHG006OdkXGIM4wVTdATJfR8lJskv7Md6nnH74DveJr/B/shlwuXPh67Z0tM
F8Theo8sl91pXSbjFFryfhFEjHLONW2xFnz/wC6XbxqYBN5pKvwRWUQrhfSTfU+b
NRZjngEeaQ6M4fw6KEGEp4DiFPeJ7mV4S+IogYUQvkB9ZWOTXZj0RTixYhMQ3V8r
wJizCVLKtYSQDuBVUUdflbFAo3fPRqVKzeP/mhpRvNlGogPOldrH06bE0MdxJm74
X77WFdU8X6rrG9VLM740pTZINwNgDBk6KS9R8S8RGIT3De3oFyJQDgLC
=QRpe
-----END PGP SIGNATURE-----

--vTs8mkOKP0HR4kJn6I76qhjI4k29JGxv2--
---------------------------------------
Received: (at 124-close) by bugs.devuan.org; 14 Dec 2017 13:50:06 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Thu, 14 Dec 2017 14:50:06 +0100 (CET)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id 329A1F60854
Date: Thu, 14 Dec 2017 13:44:28 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 124-close@bugs.devuan.org
Subject: solved
Message-ID: <20171214134428.GV26595@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="LPkLGw4qHK6A43KM"
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.1
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org


--LPkLGw4qHK6A43KM
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

it looks like this was solved several weeks ago. Moreover, it is
solved by using pkgmaster.devuan.org instead of auto.mirror.devuan.org.

Closing it now.


--LPkLGw4qHK6A43KM
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAloygDwACgkQXyCzrgtfBi/J/ACaA4kwWRJzQRxumFWifa8KN3X9
+q4An3HLu70f6IKRKH+UewjVDY0VMeFj
=OHrB
-----END PGP SIGNATURE-----

--LPkLGw4qHK6A43KM--

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Jul 16 01:19:10 2020;